https://kotlinlang.org logo
#moko
Title
# moko
c

Christian Sousa

04/15/2020, 12:31 PM
Copy code
Could not determine the dependencies of task ':MyLib:linkDebugFrameworkIosArm32'.
> Could not resolve all task dependencies for configuration ':MyLib:iosArm32CompileKlibraries'.
   > Could not resolve dev.icerock.moko:resources:0.9.1.
     Required by:
         project :MyLib
      > Unable to find a matching variant of dev.icerock.moko:resources:0.9.1:
          - Variant 'android-debugApiElements' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.platform.type 'native' and found incompatible value 'androidJvm'.
              - Other attributes:
                  - Found com.android.build.api.attributes.BuildTypeAttr 'debug' but wasn't required.
                  - Found com.android.build.api.attributes.VariantAttr 'debug' but wasn't required.
                  - Found com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' but wasn't required.
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'java-api'.
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' but no value provided.
          - Variant 'android-debugRuntimeElements' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.platform.type 'native' and found incompatible value 'androidJvm'.
              - Other attributes:
                  - Found com.android.build.api.attributes.BuildTypeAttr 'debug' but wasn't required.
                  - Found com.android.build.api.attributes.VariantAttr 'debug' but wasn't required.
                  - Found com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' but wasn't required.
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'java-runtime'.
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' but no value provided.
          - Variant 'android-releaseApiElements' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.platform.type 'native' and found incompatible value 'androidJvm'.
              - Other attributes:
                  - Found com.android.build.api.attributes.BuildTypeAttr 'release' but wasn't required.
                  - Found com.android.build.api.attributes.VariantAttr 'release' but wasn't required.
                  - Found com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' but wasn't required.
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'java-api'.
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' but no value provided.
          - Variant 'android-releaseRuntimeElements' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.platform.type 'native' and found incompatible value 'androidJvm'.
              - Other attributes:
                  - Found com.android.build.api.attributes.BuildTypeAttr 'release' but wasn't required.
                  - Found com.android.build.api.attributes.VariantAttr 'release' but wasn't required.
                  - Found com.android.build.gradle.internal.dependency.AndroidTypeAttr 'Aar' but wasn't required.
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'java-runtime'.
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' but no value provided.
          - Variant 'iosArm64-api' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' and found incompatible value 'ios_arm64'.
              - Other attributes:
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'kotlin-api'.
                  - Required org.jetbrains.kotlin.platform.type 'native' and found compatible value 'native'.
          - Variant 'iosX64-api' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' and found incompatible value 'ios_x64'.
              - Other attributes:
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'kotlin-api'.
                  - Required org.jetbrains.kotlin.platform.type 'native' and found compatible value 'native'.
          - Variant 'metadata-api' capability dev.icerock.moko:resources:0.9.1:
              - Incompatible attribute:
                  - Required org.jetbrains.kotlin.platform.type 'native' and found incompatible value 'common'.
              - Other attributes:
                  - Found org.gradle.status 'release' but wasn't required.
                  - Required org.gradle.usage 'kotlin-api' and found compatible value 'kotlin-api'.
                  - Required org.jetbrains.kotlin.native.target 'ios_arm32' but no value provided.
a

alex009

04/18/2020, 1:21 PM
hi! it seems like you not add repository to gradle
Copy code
allprojects {
    repositories {
        maven { url = "<https://dl.bintray.com/icerockdev/moko>" }
    }
}
are you add it to root
build.gradle
?
3 Views